<?php
// $Id: page.tpl.php,v 1.1.2.3 2010/04/26 21:36:09 zyxware Exp $
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head profile="http://gmpg.org/xfn/11">
    <?php print $head ?>
    <title><?php print $head_title ?></title>
    <?php print $styles ?>
    <?php print $scripts ?>
    <?php
      global $base_path;
      if (theme_get_setting('color_scheme')==0) {
        print '<link rel="stylesheet" href="'. $base_path .'sites/all/themes/mystique_theme/color-green.css" type="text/css" media="screen" />';
      }
      elseif (theme_get_setting('color_scheme')==1) {
        print '<link rel="stylesheet" href="'. $base_path .'sites/all/themes/mystique_theme/color-blue.css" type="text/css" media="screen" />';
      }
      elseif (theme_get_setting('color_scheme')==2) {
        print '<link rel="stylesheet" href="'. $base_path .'sites/all/themes/mystique_theme/color-red.css" type="text/css" media="screen" />';
      }
      elseif (theme_get_setting('color_scheme')==3) {
        print '<link rel="stylesheet" href="'. $base_path .'sites/all/themes/mystique_theme/color-grey.css" type="text/css" media="screen" />';
      }
    ?>
    <style type="text/css" >
      <?php
      if (theme_get_setting('font_style')==1) {
        print '*{font-family:"Helvetica Neue",Helvetica,Arial,Geneva,"MS Sans Serif",sans-serif}';
      }
      elseif (theme_get_setting('font_style')==2) {
        print '*{font-family:Georgia,"Nimbus Roman No9 L",serif}';
      }
      elseif (theme_get_setting('font_style')==3) {
        print '*{font-family:"Lucida Grande","Lucida Sans","Lucida Sans Unicode","Helvetica Neue",Helvetica,Arial,Verdana,sans-serif}';
      }
      ?>
    </style>
    <!--[if lte IE 6]><link media="screen" rel="stylesheet" href="<?php echo $base_path; ?>sites/all/themes/mystique_theme/ie6.css" type="text/css" /><![endif]-->
    <!--[if IE 7]><link media="screen" rel="stylesheet" href="<?php echo $base_path; ?>sites/all/themes/mystique_theme/ie7.css" type="text/css" /><![endif]-->
  </head>
  <body class="home blog col-2-right fixed browser-gecko">
    <div id="page">
      <div class="page-content header-wrapper">
        <div id="header" class="bubbleTrigger">
          <div id="site-title" class="clearfix">
            <?php
            global $base_path;
            print '<h1 id="logo"><a href="'. $base_path .'">';
            print $site_name;
            print '</a></h1>';
            if ($site_slogan) {
              print '<p class="headline">'. $site_slogan .'</p>';
            }
            if ($logo) {
              print '<div class="logo"><a href="'. $base_path .'"><img src="'. check_url($logo) .'" alt="'. $site_name .'" /></a></div>';
            }
            ?>
          </div>
          <div class="shadow-left">
            <div class="shadow-right clearfix">
              <p class="nav-extra">
                <a href="<?php print url('rss.xml') ?>" 
                   class="nav-extra rss" title="RSS Feeds"
                ><span>RSS Feeds</span></a>
                <a href="http://www.twitter.com/drupal" 
                   class="nav-extra twitter" title="Follow me on Twitter!"
                ><span>Follow me on Twitter!</span></a>
              </p>
              <?php 
              if ($primary_links) {
                print theme('links', $primary_links, array('class' => 'navigation')); 
              }
              else {
                print '
                  <ul class="navigation">
                    <li>
                      <a class="fadeThis" href="'. $base_path .'">
                        <span class="title">Home</span>
                        <span class="pointer"></span>
                        <span style="opacity: 0;" class="hover">
                        </span>
                      </a> 
                    </li>
                  </ul>';
              }
              ?>
            </div>
          </div>
        </div>
      </div>
      <div class="shadow-left page-content main-wrapper">
        <div class="shadow-right">
          <div id="main">
            <div id="main-inside" class="clearfix">
              <div id="primary-content">
                <div class="blocks">
                  <div class="single-navigation clearfix">
                    <div class="alignleft">
                      <?php print $breadcrumb; ?>
                    </div>
                    <div class="alignright"></div>
                  </div>
                  <?php if ($mission): print '<div id="mission">'. $mission .'</div>'; endif; ?>
                  <?php if ($show_messages && $messages): print $messages; endif; ?>
                  <?php if ($tabs): print '<div id="tabs-wrapper" class="tabs-wrap clear-block">'; endif; ?>
                  <?php if ($tabs): print $tabs . '</div>'; endif; ?>
                  <?php if ($tabs2): print '<ul class="tabs secondary">'. $tabs2 .'</ul>'; endif; ?>
                  <?php if ($title): print '<h2'. ($tabs ? ' class="with-tabs"' : '') .'>'. $title .'</h2>'; endif; ?>
                  <?php print $help; ?>
                  <?php print $content ?>
                </div>
              </div>
              <div id="sidebar">
                <div class="blocks">
                  <?php if ($search_box): ?><div class="block block-theme"><?php print $search_box ?></div><?php endif; ?>
                  <?php print $sidebar ?>
                </div>
              </div>
            </div>
          </div>
          <div id="footer">
            <div class="page-content">
              <div id="copyright">
                <div class="footer_content">
                  <?php print $footer; ?>
                </div>
                <div class="attribution">
                  Design by <a href="http://digitalnature.ro">digitalnature</a>
                  | Theme by <a href="http://www.zyxware.com">Zyxware</a>
                </div>
                <div class="footer_icon">
                  <!--<div class="style_rss_feed">-->
                  <a title="RSS Feeds" href="<?php print url('rss.xml'); ?>" 
                    class="rss-subscribe"
                  >RSS Feeds</a>
                  <!--</div>
                  <div class="style_xml">-->
                  <a title="Valid XHTML" 
                     href="http://validator.w3.org/check?uri=referer" class="valid-xhtml"
                  >XHTML 1.1</a>
                  <!--</div>
                  <div class="style_gotop">-->
                  <a class="js-link" id="goTop" href="#page"
                  >Top</a>
                  <!--</div>-->
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div id="pageControls">
      </div>
    </div>
    <?php print $closure ?>
  </body>
</html>
